Saltar al contenido principal
PUT
/
v1
/
items
/
skus
/
{skuReference}
/
planning
Updates the planning info of the sku
curl --request PUT \
  --url https://api.bold-factory.com/v1/items/skus/{skuReference}/planning \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "safetyStock": 123,
  "reorderPoint": 123,
  "minimumAmount": 123,
  "amountMultiple": 123,
  "procurementLeadTimeBusinessDays": 123
}
'
{
  "type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
  "title": "Filter parsing failed",
  "status": 400,
  "detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
  "instance": "POST /v1/items/products/search",
  "code": "FILTER_PARSING_FAILED"
}

Autorizaciones

Authorization
string
header
requerido

Use a valid JWT token in the Authorization header with the format 'Bearer {token}'

Parámetros de ruta

skuReference
string
requerido

Cuerpo

application/json
safetyStock
number<double>
requerido
reorderPoint
number<double>
requerido
minimumAmount
number<double>
requerido
fulfillmentMode
enum<string>
requerido
Opciones disponibles:
ToOrder,
ToStock
procurementType
enum<string>
requerido
Opciones disponibles:
Make,
Buy,
Ignore
amountMultiple
null | number<double>
procurementLeadTimeBusinessDays
null | integer<int32>

Respuesta

No Content